Ian-Woo Kim | 30 Mar 06:56 2013
Picon

[ANN] hoodle-0.2

Hi, all, 

Pen note-taking program hoodle, which is being developed entirely in haskell, is updated to version 0.2. 
The previous version was 0.1.1.
About what is hoodle, please refer to http://ianwookim.org/hoodle

The changes in this version are 
- hoodle data format updated. now hoodle document has a unique id.  
- linking between documents implemented 
- vertical space inserting tool implemented
- a widget introduced for panning and zooming 
- drag and drop linking implemented 
- drag and drop image embedding implemented 
- poppler pdf support is mandatory 
- pdf can be embedded in a file
- toolbox ui reflects current hoodle state more correctly
- slimmer select box design
- several rendering glitches fixed 

Note that poppler is mandatory for hoodle (in the previous versions, poppler support was optional). One needs to install poppler-glib before installing hoodle. 
After gtk2hs and poppler installed, installing hoodle should be simply  

> cabal install hoodle 

As for the detail information about wacom tablet support, please read installation page on the webpage. 

If you were using the previous versions of hoodle, you will find this version gives you much smoother experience and many interesting improvements. (especially adding vertical space tool and pan-zoom widget )

Enjoy~ 

best, 
Ian-Woo Kim 
 
_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Anton Kholomiov | 30 Mar 19:57 2013
Picon

Re: [ANN] hoodle-0.2

Things I have to install on Ubuntu to get it going: librsvg2-dev (for svgcairo), libpoppler-glib-dev (for poppler), libgd2-xpm-dev (for gd).



2013/3/30 Ian-Woo Kim <ianwookim <at> gmail.com>
Hi, all, 

Pen note-taking program hoodle, which is being developed entirely in haskell, is updated to version 0.2. 
The previous version was 0.1.1.
About what is hoodle, please refer to http://ianwookim.org/hoodle

The changes in this version are 
- hoodle data format updated. now hoodle document has a unique id.  
- linking between documents implemented 
- vertical space inserting tool implemented
- a widget introduced for panning and zooming 
- drag and drop linking implemented 
- drag and drop image embedding implemented 
- poppler pdf support is mandatory 
- pdf can be embedded in a file
- toolbox ui reflects current hoodle state more correctly
- slimmer select box design
- several rendering glitches fixed 

Note that poppler is mandatory for hoodle (in the previous versions, poppler support was optional). One needs to install poppler-glib before installing hoodle. 
After gtk2hs and poppler installed, installing hoodle should be simply  

> cabal install hoodle 

As for the detail information about wacom tablet support, please read installation page on the webpage. 

If you were using the previous versions of hoodle, you will find this version gives you much smoother experience and many interesting improvements. (especially adding vertical space tool and pan-zoom widget )

Enjoy~ 

best, 
Ian-Woo Kim 
 

_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe


_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Ian-Woo Kim | 30 Mar 19:59 2013
Picon

Re: [ANN] hoodle-0.2

Oh. Thanks for the report. 
I forgot to mention librsvg and gd2 dependence. They are mandatory for svg, jpeg, png processing in hoodle. 
I will make a note on that on the hoodle web page. 

Thanks!

IW


On Sat, Mar 30, 2013 at 2:57 PM, Anton Kholomiov <anton.kholomiov <at> gmail.com> wrote:
Things I have to install on Ubuntu to get it going: librsvg2-dev (for svgcairo), libpoppler-glib-dev (for poppler), libgd2-xpm-dev (for gd).



2013/3/30 Ian-Woo Kim <ianwookim <at> gmail.com>
Hi, all, 

Pen note-taking program hoodle, which is being developed entirely in haskell, is updated to version 0.2. 
The previous version was 0.1.1.
About what is hoodle, please refer to http://ianwookim.org/hoodle

The changes in this version are 
- hoodle data format updated. now hoodle document has a unique id.  
- linking between documents implemented 
- vertical space inserting tool implemented
- a widget introduced for panning and zooming 
- drag and drop linking implemented 
- drag and drop image embedding implemented 
- poppler pdf support is mandatory 
- pdf can be embedded in a file
- toolbox ui reflects current hoodle state more correctly
- slimmer select box design
- several rendering glitches fixed 

Note that poppler is mandatory for hoodle (in the previous versions, poppler support was optional). One needs to install poppler-glib before installing hoodle. 
After gtk2hs and poppler installed, installing hoodle should be simply  

> cabal install hoodle 

As for the detail information about wacom tablet support, please read installation page on the webpage. 

If you were using the previous versions of hoodle, you will find this version gives you much smoother experience and many interesting improvements. (especially adding vertical space tool and pan-zoom widget )

Enjoy~ 

best, 
Ian-Woo Kim 
 

_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe



_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe

Gmane